﻿namespace RadSchedulerApp.Data.Migrations
{
    using System;
    using System.Collections.Generic;

    using Models;

    public class SeedData
    {
        private IList<Appointment> appointments;

        public SeedData()
        {
            this.appointments = new List<Appointment>
            {
                new Appointment { Subject = "Subject1", Start = DateTime.Today.AddHours(8.5), End = DateTime.Today.AddHours(9) },
                new Appointment { Subject = "Subject2", Start = DateTime.Today.AddHours(9), End = DateTime.Today.AddHours(10.5) },
                new Appointment { Subject = "Subject3", Start = DateTime.Today.AddHours(11), End = DateTime.Today.AddHours(12) },
            };
        }

        public IList<Appointment> Appointments
        {
            get { return new List<Appointment>(this.appointments); }
        }
    }
}
